Attribute VB_Name = "Module10"
Private Declare Function ECF_Acrescimos Lib "CONVECF.DLL" (ByVal ValorAcresc As String) As Integer
Private Declare Function ECF_Descontos Lib "CONVECF.DLL" (ByVal ValorDesc As String) As Integer
Private Declare Function ECF_ValorFormaPagamentoMFD Lib "CONVECF.DLL" (ByVal FormaPag As String, ByVal Valor As String) As Integer
Private Declare Function ECF_ValorTotalizadorNaoFiscalMFD Lib "CONVECF.DLL" (ByVal Totaliza As String, ByVal Valor As String) As Integer
Private Declare Function ECF_VerificaRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal Recebimentos As String) As Integer
Private Declare Function ECF_Cancelamentos Lib "CONVECF.DLL" (ByVal Cancel As String) As Integer
Private Declare Function ECF_GrandeTotal Lib "CONVECF.DLL" (ByVal GT As String) As Integer
Private Declare Function ECF_VerificaTotalizadoresParciaisMFD Lib "CONVECF.DLL" (ByVal Totalizadores As String) As Integer

Function Acrescimos()
    Dim Acres As String
    
    Acres = Space(14)
    retorno = ECF_Acrescimos(Acres)
    
    MsgBox " 'Acréscimos' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Acréscimo: " & Acres
End Function

Function Descontos()
    Dim Desc As String
    
    Desc = Space(14)
    retorno = ECF_Descontos(Desc)
    
    MsgBox " 'Descontos' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Desconto: " & Desc
End Function

Function ValorFormaPagamento()
    Dim FormaPag As String, Valor As String
    
    FormaPag = Space(15)
    FormaPag = "Dinheiro"
    Valor = Space(14)
    retorno = ECF_ValorFormaPagamentoMFD(FormaPag, Valor)
    
    MsgBox " 'Forma e Valor de Pagamento' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Valor de Pagamento (" & FormaPag & ") : " & Valor
    
End Function

Function ValorTotalizadorNaoFiscal()
    Dim Totaliza As String, Valor As String
    
    Totaliza = Space(13)
    Totaliza = "Suprimento"
    Valor = Space(14)
    retorno = ECF_ValorTotalizadorNaoFiscalMFD(Totaliza, Valor)
    
    MsgBox " 'Totalizador e Valor' " & vbCrLf & "Status: " & retorno
    
    Form1.List1.AddItem "Valor do Totalizador (" & Totaliza & ") : " & Valor
    
End Function

Function VerificaRecebimentoNaoFiscal()
    Dim Recebimentos As String, temp As String
    Dim I As Integer, pos As Integer
    
    Recebimentos = Space(1019)
    
    retorno = ECF_VerificaRecebimentoNaoFiscalMFD(Recebimentos)
    MsgBox " 'Verificar Recebimentos' " & vbCrLf & "Status: " & retorno
    
    Form1.List1.AddItem ""
    Form1.List1.AddItem "Recebimentos: "
    I = 1
    pos = 1
    Do While pos > 0
            
            pos = InStr(1, Recebimentos, ",")
            
            If pos > 0 Then
                temp = Left(Recebimentos, pos - 1)
                Recebimentos = Right(Recebimentos, Len(Recebimentos) - pos)
            
                Form1.List1.AddItem "    " & Right("0" + CStr(I), 2) & ": " & temp
                I = I + 1
            End If
                
            
    Loop
    
    Form1.List1.AddItem "    " & Right("0" + CStr(I), 2) & ": " & Recebimentos
    Form1.List1.AddItem ""
End Function

Function Cancelamentos()
    Dim Cancel As String
    
    Cancel = Space(14)
    retorno = ECF_Cancelamentos(Cancel)
    
    MsgBox " 'Cancelamentos' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Cancelamentos: " & Cancel
End Function

Function GrandeTotal()
    Dim GT As String
    
    GT = Space(18)
    retorno = ECF_GrandeTotal(GT)
    
    MsgBox " 'Grande Total' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "GT: " & GT
End Function

Function VerificaTotalizadoresParciais()
    Dim Totalizadores As String, temp As String
    Dim I As Integer, pos As Integer
    
    Totalizadores = Space(889)
    
    retorno = ECF_VerificaTotalizadoresParciaisMFD(Totalizadores)
    MsgBox " 'Verificar Totalizadores Parciais' " & vbCrLf & "Status: " & retorno
    
    Form1.List1.AddItem ""
    Form1.List1.AddItem "Totalizadores Parciais:"
    I = 1
    pos = 1
    Do While pos > 0
            
            pos = InStr(1, Totalizadores, ",")
            
            If pos > 0 Then
                temp = Left(Totalizadores, pos - 1)
                Totalizadores = Right(Totalizadores, Len(Totalizadores) - pos)
            
                Form1.List1.AddItem "    : " & temp
                I = I + 1
            End If
               
            
    Loop
    
    Form1.List1.AddItem "    : " & Totalizadores

End Function

